Package org.eclipse.graphiti.features.context.impl

# Class ResizeContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.LocationContext
org.eclipse.graphiti.features.context.impl.AreaContext
org.eclipse.graphiti.features.context.impl.ResizeContext

All Implemented Interfaces:
  `IAreaContext`, `IContext`, `ILocationContext`, `IResizeContext`, `IPropertyBag`

Direct Known Subclasses:
  `ResizeShapeContext`

public class ResizeContext extends AreaContext implements IResizeContext
The Class ResizeContext.

## Constructor Summary

Constructors
Constructor
Description
`ResizeContext()`
Creates a new `ResizeContext`.

## Method Summary

### Methods inherited from class org.eclipse.graphiti.features.context.impl.AreaContext

`getHeight, getWidth, setHeight, setSize, setWidth, toString`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### ResizeContext

public ResizeContext()
Creates a new `ResizeContext`.